DROP TABLE TMP_CODOPERATION;

CREATE GLOBAL TEMPORARY TABLE TMP_CODOPERATION  
(
  CODE VARCHAR(128) 
) ON COMMIT DELETE ROWS;

CREATE INDEX TMPCODOPERATION_CODE_IDX ON TMP_CODOPERATION 
(CODE);

GRANT SELECT ON TABLE TMP_CODOPERATION TO USER "AA      ";
GRANT SELECT ON TABLE TMP_CODOPERATION TO USER "REP     ";
GRANT DELETE ON TABLE TMP_CODOPERATION TO USER "IGA     ";
GRANT INSERT ON TABLE TMP_CODOPERATION TO USER "IGA     ";
GRANT SELECT ON TABLE TMP_CODOPERATION TO USER "IGA     ";
GRANT UPDATE ON TABLE TMP_CODOPERATION TO USER "IGA     ";
GRANT DELETE ON TABLE TMP_CODOPERATION TO USER "IGACONN ";
GRANT INSERT ON TABLE TMP_CODOPERATION TO USER "IGACONN ";
GRANT SELECT ON TABLE TMP_CODOPERATION TO USER "IGACONN ";
GRANT UPDATE ON TABLE TMP_CODOPERATION TO USER "IGACONN ";
