declare
  counter           numeric(16);
  l_description     varchar(512);
  l_name            varchar(256);

begin

  l_name := 'SELECTED_HIERARCHY';
  l_description := 'Value of selected hierarchy';
  select count(1) into counter from CONFIGURATION t where lower ( t.name ) = lower ( l_name ) and lower ( t.description ) = lower ( l_description );
  if ( counter = 0 ) then
	INSERT INTO CONFIGURATION (ID,NAME,VALUE,DESCRIPTION,LAST_MOD_USER,LAST_MOD_TIME,STATE) VALUES
	((SELECT max(id)+1 FROM CONFIGURATION),'SELECTED_HIERARCHY','ORGANIZATIONAL_UNIT','Value of selected hierarchy','IBM Security Verify Governance V10.0.1.3', sysdate ,0);
  end if;
  
  l_name := 'HIERARCHY_VALUE';
  l_description := 'ID of the selected hierarchy';
  select count(1) into counter from CONFIGURATION t where lower ( t.name ) = lower ( l_name ) and lower ( t.description ) = lower ( l_description );
  if ( counter = 0 ) then
	INSERT INTO CONFIGURATION (ID,NAME,VALUE,DESCRIPTION,LAST_MOD_USER,LAST_MOD_TIME,STATE) VALUES
	((SELECT max(id)+1 FROM CONFIGURATION),'HIERARCHY_VALUE','1','ID of the selected hierarchy','IBM Security Verify Governance V10.0.1.3', sysdate ,0);
  end if;
  
 end;
/
commit;