declare
  varLob  CLOB;

begin



  varLob := 'select (select t.creation_date from #aaschema#.aa_datasnapshot t where t.state = 1) creation_date,
'||'       user_name,
'||'       user_surname,
'||'       user_code,
'||'       ou_name,
'||'       ou_code,
'||'       cast(avg(profile_cnt) / case
'||'         when (select max(uu.permission_cnt)
'||'                 from #aaschema#.aa_upl_person uu
'||'                where uu.id in (select distinct person
'||'                                  from #aaschema#.aa_upl_assignment aa
'||'                                 )) is null then
'||'          1
'||'         when (select max(uu.permission_cnt)
'||'                 from #aaschema#.aa_upl_person uu
'||'                where uu.id in (select distinct person
'||'                                  from #aaschema#.aa_upl_assignment aa)) = 0 then
'||'          1
'||'         else
'||'          (select max(uu.permission_cnt)
'||'             from #aaschema#.aa_upl_person uu
'||'            where uu.id in (select distinct person
'||'                              from #aaschema#.aa_upl_assignment aa))
'||'       end * 100 AS INT) profile_count,
'||'       cast(avg(user_sod_cnt) / case
'||'         when (select max(uu.sod_cnt)
'||'                 from #aaschema#.aa_upl_person uu
'||'                where uu.id in (select distinct person
'||'                                  from #aaschema#.aa_upl_assignment aa
'||'                                )) is null then
'||'          1
'||'         when (select max(uu.sod_cnt)
'||'                 from #aaschema#.aa_upl_person uu
'||'                where uu.id in (select distinct person
'||'                                  from #aaschema#.aa_upl_assignment aa
'||'                                )) = 0 then
'||'          1
'||'         else
'||'          (select max(uu.sod_cnt)
'||'             from #aaschema#.aa_upl_person uu
'||'            where uu.id in (select distinct person
'||'                              from #aaschema#.aa_upl_assignment aa
'||'                            ))
'||'       end * 100 AS INT) user_sod_count,
'||'       cast(avg(activity_cnt) / case
'||'         when (select max(ee.activity_cnt)
'||'                 from #aaschema#.aa_upl_entitlement ee
'||'                where ee.id in (select distinct entitlement
'||'                                  from #aaschema#.aa_upl_assignment aa
'||'                                )) is null then
'||'          1
'||'         when (select max(ee.activity_cnt)
'||'                 from #aaschema#.aa_upl_entitlement ee
'||'                where ee.id in (select distinct entitlement
'||'                                  from #aaschema#.aa_upl_assignment aa
'||'                                )) = 0 then
'||'          1
'||'         else
'||'          (select max(ee.activity_cnt)
'||'             from #aaschema#.aa_upl_entitlement ee
'||'            where ee.id in (select distinct entitlement
'||'                              from #aaschema#.aa_upl_assignment aa
'||'                            ))
'||'       end * 100 AS INT) activity_count,
'||'       cast(avg(entitlement_sod_cnt) / case
'||'         when (select max(ee.sod_cnt)
'||'                 from #aaschema#.aa_upl_entitlement ee
'||'                where ee.id in (select distinct entitlement
'||'                                  from #aaschema#.aa_upl_assignment aa
'||'                                )) is null then
'||'          1
'||'         when (select max(ee.sod_cnt)
'||'                 from #aaschema#.aa_upl_entitlement ee
'||'                where ee.id in (select distinct entitlement
'||'                                  from #aaschema#.aa_upl_assignment aa
'||'                                )) = 0 then
'||'          1
'||'         else
'||'          (select max(ee.sod_cnt)
'||'             from #aaschema#.aa_upl_entitlement ee
'||'            where ee.id in (select distinct entitlement
'||'                              from #aaschema#.aa_upl_assignment aa
'||'                            ))
'||'       end * 100 AS INT) entitlement_sod_count,
'||'       cast(avg(last_certification) / 8 * 100 AS INT) average_certification_age,
'||'       cast((avg(profile_cnt) / case
'||'         when (select max(uu.permission_cnt)
'||'                 from #aaschema#.aa_upl_person uu
'||'                where uu.id in (select distinct person
'||'                                  from #aaschema#.aa_upl_assignment aa
'||'                                )) is null then
'||'          1
'||'         when (select max(uu.permission_cnt)
'||'                 from #aaschema#.aa_upl_person uu
'||'                where uu.id in (select distinct person
'||'                                  from #aaschema#.aa_upl_assignment aa
'||'                                )) = 0 then
'||'          1
'||'         else
'||'          (select max(uu.permission_cnt)
'||'             from #aaschema#.aa_upl_person uu
'||'            where uu.id in (select distinct person
'||'                              from #aaschema#.aa_upl_assignment aa
'||'                            ))
'||'       end * 100 + avg(user_sod_cnt) / case
'||'         when (select max(uu.sod_cnt)
'||'                 from #aaschema#.aa_upl_person uu
'||'                where uu.id in (select distinct person
'||'                                  from #aaschema#.aa_upl_assignment aa
'||'                                )) is null then
'||'          1
'||'         when (select max(uu.sod_cnt)
'||'                 from #aaschema#.aa_upl_person uu
'||'                where uu.id in (select distinct person
'||'                                  from #aaschema#.aa_upl_assignment aa
'||'                                )) = 0 then
'||'          1
'||'         else
'||'          (select max(uu.sod_cnt)
'||'             from #aaschema#.aa_upl_person uu
'||'            where uu.id in (select distinct person
'||'                              from #aaschema#.aa_upl_assignment aa
'||'                            ))
'||'       end * 100 + avg(activity_cnt) / case
'||'         when (select max(ee.activity_cnt)
'||'                 from #aaschema#.aa_upl_entitlement ee
'||'                where ee.id in (select distinct entitlement
'||'                                  from #aaschema#.aa_upl_assignment aa
'||'                                )) is null then
'||'          1
'||'         when (select max(ee.activity_cnt)
'||'                 from #aaschema#.aa_upl_entitlement ee
'||'                where ee.id in (select distinct entitlement
'||'                                  from #aaschema#.aa_upl_assignment aa
'||'                                )) = 0 then
'||'          1
'||'         else
'||'          (select max(ee.activity_cnt)
'||'             from #aaschema#.aa_upl_entitlement ee
'||'            where ee.id in (select distinct entitlement
'||'                              from #aaschema#.aa_upl_assignment aa
'||'                            ))
'||'       end * 100 + avg(entitlement_sod_cnt) / case
'||'         when (select max(ee.sod_cnt)
'||'                 from #aaschema#.aa_upl_entitlement ee
'||'                where ee.id in (select distinct entitlement
'||'                                  from #aaschema#.aa_upl_assignment aa
'||'                                )) is null then
'||'          1
'||'         when (select max(ee.sod_cnt)
'||'                 from #aaschema#.aa_upl_entitlement ee
'||'                where ee.id in (select distinct entitlement
'||'                                  from #aaschema#.aa_upl_assignment aa
'||'                                )) = 0 then
'||'          1
'||'         else
'||'          (select max(ee.sod_cnt)
'||'             from #aaschema#.aa_upl_entitlement ee
'||'            where ee.id in (select distinct entitlement
'||'                              from #aaschema#.aa_upl_assignment aa
'||'                            ))
'||'       end * 100 + avg(last_certification) / 8 * 100) / 5 AS INT) average_risk
'||'  from (select u.name user_name,
'||'               u.lastname user_surname,
'||'               u.code user_code,
'||'               o.name ou_name,
'||'               o.code ou_code,
'||'               case
'||'                 when u.permission_cnt is null then
'||'                  0
'||'                 else
'||'                  u.permission_cnt
'||'               end profile_cnt,
'||'               case
'||'                 when u.sod_cnt is null then
'||'                  0
'||'                 else
'||'                  u.sod_cnt
'||'               end user_sod_cnt,
'||'               case
'||'                 when e.activity_cnt is null then
'||'                  0
'||'                 else
'||'                  e.activity_cnt
'||'               end activity_cnt,
'||'               case
'||'                 when e.sod_cnt is null then
'||'                  0
'||'                 else
'||'                  e.sod_cnt
'||'               end entitlement_sod_cnt,
'||'               ((cast(to_char(current_date, ''YYYY'') as numeric ) * 12 +
'||'               cast(to_char(current_date, ''MM'') as numeric )) -
'||'               (cast(to_char(case
'||'                                     when a.last_certification is null then
'||'                                      current_date
'||'                                     else
'||'                                      a.last_certification
'||'                                   end,
'||'                                   ''YYYY'') as numeric ) * 12 +
'||'               cast(to_char(case
'||'                                     when a.last_certification is null then
'||'                                      current_date
'||'                                     else
'||'                                      a.last_certification
'||'                                   end,
'||'                                   ''MM'') as numeric)) + (case
'||'                 when a.last_certification is null then
'||'                  24
'||'                 else
'||'                  0
'||'               end)) / 3 last_certification
'||'          from #aaschema#.aa_upl_person u, #aaschema#.aa_upl_org_unit o, #aaschema#.aa_upl_assignment a, #aaschema#.aa_upl_entitlement e
'||'         where a.person = u.id
'||'           and u.org_unit = o.id
'||'           and a.entitlement = e.id
'||'           ) t
'||' group by user_name, user_surname, user_code, ou_name, ou_code
'||' order by average_risk desc
';

  update R_QUERY_DATA set QUERY=varLob where R_QUERY=20;
  
  end;
/
commit;