DECLARE
	counter           numeric(16);
BEGIN
	
	SELECT COUNT(1) INTO counter 
	FROM CCSCORE.ENTITLEMENT_FAMILY WHERE ID = 4 AND NAME = 'Single Profile';

	IF counter = 0 THEN
	
		INSERT INTO CCSCORE.ENTITLEMENT_FAMILY (ID, NAME, DESCRIPTION, STATE, ATTR1, ATTR2, ATTR3, ATTR4, ATTR5, LAST_MOD_USER, LAST_MOD_TIME) 
		VALUES(4, 'Single Profile', NULL, 0, NULL, NULL, NULL, NULL, NULL, '&IDEAS_VERSION', sysdate);

	END IF;
	
	SELECT COUNT(1) INTO counter 
	FROM CCSCORE.ENTITLEMENT_FAMILY WHERE ID = 5 AND NAME = 'Collective Profile';

	IF counter = 0 THEN

		INSERT INTO CCSCORE.ENTITLEMENT_FAMILY (ID, NAME, DESCRIPTION, STATE, ATTR1, ATTR2, ATTR3, ATTR4, ATTR5, LAST_MOD_USER, LAST_MOD_TIME) 
		VALUES(5, 'Collective Profile', NULL, 0, NULL, NULL, NULL, NULL, NULL, '&IDEAS_VERSION', sysdate);

	END IF;
END;
/
COMMIT;